MySQL4.0から5.0にアップグレードしたいと考えています。

環境はSUSE Linuxです。

一回mysqldumpでエクスポートして、再インストールしたMySQL5.0にデータインポートしたのですが、
blob型のデータのインポートがうまくいきません。

Error reading file というメッセージが出て
全データのうち5%ぐらいのデータしか取り込まれませんでした。

どのようにすればいいのでしょうか?

また、4.0から5.0へのアップグレード手順が
よくわかるサイトなどありましたら教えていただければと思います。

よろしくお願いします。

回答の条件
  • 1人2回まで
  • 登録:2007/02/02 11:17:38
  • 終了:2007/02/02 20:39:01

回答(1件)

id:b-wind No.1

b-wind回答回数3344ベストアンサー獲得回数4402007/02/02 11:32:06

ポイント80pt

4.0 から 4.1 の変更点。

MySQL AB :: MySQL 4.1 リファレンスマニュアル :: 2.5.1 バージョン 4.0 から 4.1 へのアップグレード

4.1 から 5.0 の変更点。

MySQL AB :: MySQL 5.0 Reference Manual :: 2.4.16.2 Upgrading from MySQL 4.1 to 5.0


あと、まず間違いなく日本語の問題ではまるのでこちらも。

MyNA Web Site

id:handmadedude

ありがとうございます。

アップグレードのもう少し詳細手順と

blob型でNGになった理由と対応が

わかる方法はないでしょうか?

日本語の問題ということでしょうか?

2007/02/02 14:18:13
  • id:handmadedude
    MySQLからのエクスポート時(mysqldump)に
    --hex-blob
    というオプションを追加することにより
    MySQL5.0でもmediunblobが読み取れる形式に
    なるようです。
    自己解決しました。ありがとうございました。

この質問への反応(ブックマークコメント)

トラックバック

  • SamplePage 東京プキウキ 携帯でTokyo@Wiki (PukiWiki/TrackBack 0.3) 2007-02-02 13:57:47
    ページの作り方 RSS 都内及び近郊にある高級・豪華スイーツのお店をたくさ.. 都内及び近郊で、エコグッズをたくさん扱っているお店.. 都内及び近郊にある、最近人気のイタリアンのお店
「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません